Generate a collection from spec

View as Markdown
Creates a collection from the given OpenAPI 2.0, 3.0, or 3.1 specification or Smithy specification. The response contains a polling link to the task status.

Authentication

x-api-keystring
API Key authentication via header
OR
Authorizationstring
A valid [SCIM API key](https://learning.postman.com/docs/administration/scim-provisioning/scim-provisioning-overview/#generating-scim-api-key) for calls to SCIM endpoints.
OR
AuthorizationBasic

Basic authentication of the form Basic <base64(username:password)>.

Path parameters

specIdstringRequired
The spec's ID.
elementTypeenumRequired

The collection element type.

Allowed values:

Request

This endpoint expects an object.
namestringRequired
The generated collection's name.
optionsobjectRequired

The advanced creation options and their values. For more details, see Postman’s OpenAPI to Postman Collection Converter OPTIONS documentation. These properties are case-sensitive.

Response

Successful Response
taskIdstring
The created task ID. You can use this ID to track the status of the task.
urlstring
The URL to get or poll the status of a generated spec task.

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
423
Locked Error
500
Internal Server Error